PredicatesTableEntry (Siena 2.0.4 API Documentation)
Date: 2015-05-17

siena.dvdrp

## Class PredicatesTableEntry

- java.lang.Object
- - siena.dvdrp.PredicatesTableEntry

-     public class PredicatesTableEntry
      extends java.lang.Object

  a `DistanceVector` entry. The `DistanceVector` contains a `DVEntry` for each `DVDRPDispatcher` having subscriptions. A `DVEntry` contains the identifier of the recipient, the interface to reach it, the number of hops, the subscription predicates encoded as Bloom Filters, a local timestamp, and a remote predicate timestamp.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `cleanUp`
    `java.util.ArrayList<BSetBV>` | `filters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PredicatesTableEntry()`
    `PredicatesTableEntry(PredicatesTableEntry other)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBSet(Filter f)`
    `void` | `addFilters(java.util.List<BSetBV> predicates)`
    `void` | `copyFiltersSeqNo(PredicatesTableEntry externalEntry)`
    `boolean` | `covers(BSetBV bloomFilter)`
    `byte[]` | `getDest()`
    `java.util.List<BSetBV>` | `getFilters()`
    `long` | `getFiltersSeqNo()`
    `void` | `setDest(byte[] dest)`
    `void` | `setFiltersSeqNo(long seqNo)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### filters

          public java.util.ArrayList<BSetBV> filters

    - #### cleanUp

          public boolean cleanUp

  - ### Constructor Detail

    - #### PredicatesTableEntry

          public PredicatesTableEntry()

    - #### PredicatesTableEntry

          public PredicatesTableEntry(PredicatesTableEntry other)

  - ### Method Detail

    - #### getFilters

          public java.util.List<BSetBV> getFilters()

    - #### addFilters

          public void addFilters(java.util.List<BSetBV> predicates)

    - #### getFiltersSeqNo

          public long getFiltersSeqNo()

    - #### setFiltersSeqNo

          public void setFiltersSeqNo(long seqNo)

    - #### getDest

          public byte[] getDest()

    - #### setDest

          public void setDest(byte[] dest)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### covers

          public boolean covers(BSetBV bloomFilter)

    - #### copyFiltersSeqNo

          public void copyFiltersSeqNo(PredicatesTableEntry externalEntry)

    - #### addBSet

          public void addBSet(Filter f)

Copyright © 2000-2005 University of Colorado.
Copyright © 2005-2011 Antonio Carzaniga.
This documentation is maintained by Antonio Carzaniga